Update manager tab isn’t available with vCenter HTML web client

If you are using HTML version for vCenter administration then you see update manager tab is missing if vCenter is windows based. This is an expected behavior with HTML client as per release note of version 6.7.

Note: Using Update Manager functionality in the vSphere Client (HTML5-based GUI) is only supported for Update Manager that runs in the vCenter Server Appliance

HTML client when vCenter is appliance based.

HTML_Appliance.jpg

HTML client when vCenter is windows based.

HTML_Windows.jpg

You may see expected lines logs

C:\ProgramData\VMware\vCenterServer\logs\vsphere-client\logs\vsphere_client_virgo.log

[INFO ] plugin-validation1            com.vmware.vise.extensionfw.impl.OsgiUsageValidationService       End RequireBundleUsageCheck on com.vmware.vcIntegrity:6.7.0.41422
[INFO ] plugin-validation1            com.vmware.vise.extensionfw.impl.OsgiUsageValidationService       Begin UnversionedPackageExportCheck on com.vmware.vcIntegrity:6.7.0.41422
[INFO ] plugin-validation1            com.vmware.vise.extensionfw.impl.OsgiUsageValidationService       End UnversionedPackageExportCheck on com.vmware.vcIntegrity:6.7.0.41422
[INFO ] plugin-validation1            com.vmware.vise.extensionfw.impl.OsgiUsageValidationService       Begin UnversionedPackageImportCheck on com.vmware.vcIntegrity:6.7.0.41422
[INFO ] plugin-validation1            com.vmware.vise.extensionfw.impl.OsgiUsageValidationService       End UnversionedPackageImportCheck on com.vmware.vcIntegrity:6.7.0.41422
[INFO ] plugin-validation1            com.vmware.vise.extensionfw.impl.OsgiUsageValidationService       Begin NestedLibPackageExportCheck on com.vmware.vcIntegrity:6.7.0.41422
[INFO ] plugin-validation1            com.vmware.vise.extensionfw.impl.OsgiUsageValidationService       End NestedLibPackageExportCheck on com.vmware.vcIntegrity:6.7.0.41422
[INFO ] plugin-validation1            com.vmware.vise.extensionfw.impl.OsgiUsageValidationService       Begin NestedLibMultiUsageCheck on com.vmware.vcIntegrity:6.7.0.41422
[INFO ] plugin-validation1            com.vmware.vise.extensionfw.impl.OsgiUsageValidationService       End NestedLibMultiUsageCheck on com.vmware.vcIntegrity:6.7.0.41422
[INFO ] plugin-validation1            com.vmware.vise.extensionfw.impl.OsgiUsageValidationService       Begin ClashingPluginsCheck on com.vmware.vcIntegrity:6.7.0.41422
[INFO ] plugin-validation1            com.vmware.vise.extensionfw.impl.OsgiUsageValidationService       End ClashingPluginsCheck on com.vmware.vcIntegrity:6.7.0.41422
[INFO ] plugin-validation1            com.vmware.vise.extensionfw.impl.OsgiUsageValidationService       Begin PluginPackageGlobalScopeCheck on com.vmware.vcIntegrity:6.7.0.41422
[INFO ] plugin-validation1            com.vmware.vise.extensionfw.impl.OsgiUsageValidationService       End PluginPackageGlobalScopeCheck on com.vmware.vcIntegrity:6.7.0.41422
[INFO ] plugin-validation1            com.vmware.vise.extensionfw.impl.OsgiUsageValidationService       Finished validating com.vmware.vcIntegrity:6.7.0.41422

 

If you using windows based vCenter and wants to use update manager then use web client (flex client).

Flex_windows.jpg

Advertisements